Subject: bug#16222: Installing ELPA packages complains about :keywords in define-package

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 Jan 2014 03:58:28 +0200

On 20.01.2014 18:16, Ted Zlatanov wrote:
> Ideally, a new data format that doesn't look like a funcall, right?

I don't think it's that important. Having the package metadata in a file 
that Emacs wouldn't try to byte-compile would've been better, but we 
can't fix that without breaking compatibility with older Emacs versions.

If we are fine with breaking backward compatibility though, there's a 
much simpler fix for the byte compilation problem: let-bind 
`emacs-lisp-file-regexp' in `package--compile' (or even changing 
`byte-recompile-directory' to always skip `-pkg.el' files if the first 
option doesn't work; I haven't checked).

But as long as the package format stays the same, we might want to try 
to handle the quoting automatically. I.e. without having to quote any 
list value in "extra parameters" manually and then specifically unquote 
before using. But that change can wait until we actually have another 
"extra parameter" whose value is a list.